File Browser: add an entry in the main menu
[scilab.git] / scilab / modules / ui_data / Makefile.in
1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 #
19 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
20 # Copyright (C) DIGITEO - 2010 - Allan CORNET
21
22 # This file must be used under the terms of the CeCILL.
23 # This source file is licensed as described in the file COPYING, which
24 # you should have received as part of this distribution.  The terms
25 # are also available at    
26 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
27 #
28
29 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
30 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
31 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
32 #
33 # This file must be used under the terms of the CeCILL.
34 # This source file is licensed as described in the file COPYING, which
35 # you should have received as part of this distribution.  The terms
36 # are also available at
37 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
38 #
39
40 ##########
41 ### Makefile included stuff
42 ### Target, variable, suffixes which are supposed to be usefull in every makefile.am
43 ##########
44
45
46 VPATH = @srcdir@
47 pkgdatadir = $(datadir)/@PACKAGE@
48 pkgincludedir = $(includedir)/@PACKAGE@
49 pkglibdir = $(libdir)/@PACKAGE@
50 pkglibexecdir = $(libexecdir)/@PACKAGE@
51 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
52 install_sh_DATA = $(install_sh) -c -m 644
53 install_sh_PROGRAM = $(install_sh) -c
54 install_sh_SCRIPT = $(install_sh) -c
55 INSTALL_HEADER = $(INSTALL_DATA)
56 transform = $(program_transform_name)
57 NORMAL_INSTALL = :
58 PRE_INSTALL = :
59 POST_INSTALL = :
60 NORMAL_UNINSTALL = :
61 PRE_UNINSTALL = :
62 POST_UNINSTALL = :
63 build_triplet = @build@
64 host_triplet = @host@
65 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
66         $(top_srcdir)/Makefile.incl.am
67 @NEED_JAVA_TRUE@am__append_1 = java
68 @GUI_TRUE@am__append_2 = libsciui_data.la 
69 subdir = modules/ui_data
70 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
71 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
72         $(top_srcdir)/m4/docbook.m4 $(top_srcdir)/m4/fftw.m4 \
73         $(top_srcdir)/m4/fortran.m4 $(top_srcdir)/m4/giws.m4 \
74         $(top_srcdir)/m4/hdf5.m4 $(top_srcdir)/m4/intel_compiler.m4 \
75         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
76         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
77         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
78         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
79         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
80         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
81         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
82         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/pvm.m4 \
83         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
84         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
85         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
86 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
87         $(ACLOCAL_M4)
88 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
89 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
90 CONFIG_CLEAN_FILES =
91 CONFIG_CLEAN_VPATH_FILES =
92 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
93 am__vpath_adj = case $$p in \
94     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
95     *) f=$$p;; \
96   esac;
97 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
98 am__install_max = 40
99 am__nobase_strip_setup = \
100   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
101 am__nobase_strip = \
102   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
103 am__nobase_list = $(am__nobase_strip_setup); \
104   for p in $$list; do echo "$$p $$p"; done | \
105   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
106   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
107     if (++n[$$2] == $(am__install_max)) \
108       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
109     END { for (dir in files) print dir, files[dir] }'
110 am__base_list = \
111   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
112   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
113 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
114         "$(DESTDIR)$(libsciui_data_la_etcdir)" \
115         "$(DESTDIR)$(libsciui_data_la_rootdir)" \
116         "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" \
117         "$(DESTDIR)$(libsciui_data_la_iconsdir)"
118 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
119 libsciui_data_algo_la_LIBADD =
120 am__objects_1 =
121 am__objects_2 = libsciui_data_algo_la-BrowseVar.lo \
122         libsciui_data_algo_la-EditVar.lo \
123         libsciui_data_algo_la-FileBrowser.lo
124 am__objects_3 = libsciui_data_algo_la-UpdateBrowseVar.lo \
125         libsciui_data_algo_la-FileBrowserChDir.lo
126 am_libsciui_data_algo_la_OBJECTS = $(am__objects_1) $(am__objects_2) \
127         $(am__objects_3)
128 libsciui_data_algo_la_OBJECTS = $(am_libsciui_data_algo_la_OBJECTS)
129 @GUI_TRUE@am_libsciui_data_algo_la_rpath =
130 libsciui_data_disable_la_LIBADD =
131 am__objects_4 = libsciui_data_disable_la-noui_data.lo
132 am_libsciui_data_disable_la_OBJECTS = $(am__objects_4)
133 libsciui_data_disable_la_OBJECTS =  \
134         $(am_libsciui_data_disable_la_OBJECTS)
135 libsciui_data_disable_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
136         $(LIBTOOLFLAGS) --mode=link $(CCLD) \
137         $(libsciui_data_disable_la_CFLAGS) $(CFLAGS) \
138         $(libsciui_data_disable_la_LDFLAGS) $(LDFLAGS) -o $@
139 libsciui_data_la_DEPENDENCIES = libsciui_data-algo.la \
140         $(top_builddir)/libs/MALLOC/libscimalloc.la \
141         $(top_builddir)/modules/jvm/libscijvm.la \
142         $(top_builddir)/modules/output_stream/libscioutput_stream.la
143 am__objects_5 = libsciui_data_la-gw_ui_data.lo
144 am__objects_6 = libsciui_data_la-sci_editvar.lo \
145         libsciui_data_la-sci_browsevar.lo \
146         libsciui_data_la-sci_filebrowser.lo
147 am_libsciui_data_la_OBJECTS = $(am__objects_5) $(am__objects_6)
148 libsciui_data_la_OBJECTS = $(am_libsciui_data_la_OBJECTS)
149 libsciui_data_la_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
150         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
151         $(CXXFLAGS) $(libsciui_data_la_LDFLAGS) $(LDFLAGS) -o $@
152 @GUI_TRUE@am_libsciui_data_la_rpath = -rpath $(pkglibdir)
153 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
154 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
155 am__depfiles_maybe = depfiles
156 am__mv = mv -f
157 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
158         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
159 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
160         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
161         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
162 CCLD = $(CC)
163 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
164         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
165         $(LDFLAGS) -o $@
166 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
167         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
168 LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
169         --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
170         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
171 CXXLD = $(CXX)
172 CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
173         --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
174         $(LDFLAGS) -o $@
175 SOURCES = $(libsciui_data_algo_la_SOURCES) \
176         $(libsciui_data_disable_la_SOURCES) \
177         $(libsciui_data_la_SOURCES)
178 DIST_SOURCES = $(libsciui_data_algo_la_SOURCES) \
179         $(libsciui_data_disable_la_SOURCES) \
180         $(libsciui_data_la_SOURCES)
181 DATA = $(libsciui_data_la_etc_DATA) $(libsciui_data_la_root_DATA) \
182         $(libsciui_data_la_sci_gateway_DATA) \
183         $(nobase_libsciui_data_la_icons_DATA)
184 ETAGS = etags
185 CTAGS = ctags
186 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
187 ACLOCAL = @ACLOCAL@
188 ALL_LINGUAS = @ALL_LINGUAS@
189 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
190 AMTAR = @AMTAR@
191 ANT = @ANT@
192 ANTLR = @ANTLR@
193 AR = @AR@
194 AUTOCONF = @AUTOCONF@
195 AUTOHEADER = @AUTOHEADER@
196 AUTOMAKE = @AUTOMAKE@
197 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
198 AWK = @AWK@
199 BATIK = @BATIK@
200 BLAS_LIBS = @BLAS_LIBS@
201 BSH = @BSH@
202 CC = @CC@
203 CCDEPMODE = @CCDEPMODE@
204 CFLAGS = @CFLAGS@
205 CHECKSTYLE = @CHECKSTYLE@
206 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
207 COMMONS_IO = @COMMONS_IO@
208 COMMONS_LOGGING = @COMMONS_LOGGING@
209 CPP = @CPP@
210 CPPFLAGS = @CPPFLAGS@
211 CXX = @CXX@
212 CXXCPP = @CXXCPP@
213 CXXDEPMODE = @CXXDEPMODE@
214 CXXFLAGS = @CXXFLAGS@
215 CYGPATH_W = @CYGPATH_W@
216 DEFS = @DEFS@
217 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
218 DEPDIR = @DEPDIR@
219 DOCBOOK_ROOT = @DOCBOOK_ROOT@
220 DSYMUTIL = @DSYMUTIL@
221 DUMPBIN = @DUMPBIN@
222 ECHO_C = @ECHO_C@
223 ECHO_N = @ECHO_N@
224 ECHO_T = @ECHO_T@
225 EGREP = @EGREP@
226 EXEEXT = @EXEEXT@
227 F77 = @F77@
228 FFLAGS = @FFLAGS@
229 FFTW3_LIB = @FFTW3_LIB@
230 FFTW_ENABLE = @FFTW_ENABLE@
231 FGREP = @FGREP@
232 FLEXDOCK = @FLEXDOCK@
233 FLIBS = @FLIBS@
234 FOP = @FOP@
235 GENHTML = @GENHTML@
236 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
237 GIWS_BIN = @GIWS_BIN@
238 GLUEGEN_RT = @GLUEGEN_RT@
239 GMSGFMT = @GMSGFMT@
240 GMSGFMT_015 = @GMSGFMT_015@
241 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
242 GREP = @GREP@
243 GUI_ENABLE = @GUI_ENABLE@
244 HDF5_CFLAGS = @HDF5_CFLAGS@
245 HDF5_ENABLE = @HDF5_ENABLE@
246 HDF5_LIBS = @HDF5_LIBS@
247 HELP_ENABLE = @HELP_ENABLE@
248 INSTALL = @INSTALL@
249 INSTALL_DATA = @INSTALL_DATA@
250 INSTALL_PROGRAM = @INSTALL_PROGRAM@
251 INSTALL_SCRIPT = @INSTALL_SCRIPT@
252 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
253 INTLLIBS = @INTLLIBS@
254 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
255 JAR = @JAR@
256 JAVA = @JAVA@
257 JAVAC = @JAVAC@
258 JAVAC_DEBUG = @JAVAC_DEBUG@
259 JAVADOC = @JAVADOC@
260 JAVAH = @JAVAH@
261 JAVASCI_ENABLE = @JAVASCI_ENABLE@
262 JAVA_ENABLE = @JAVA_ENABLE@
263 JAVA_G = @JAVA_G@
264 JAVA_HOME = @JAVA_HOME@
265 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
266 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
267 JDB = @JDB@
268 JEUCLID_CORE = @JEUCLID_CORE@
269 JGRAPHX = @JGRAPHX@
270 JHALL = @JHALL@
271 JHDF5 = @JHDF5@
272 JLATEXMATH = @JLATEXMATH@
273 JLATEXMATH_FOP = @JLATEXMATH_FOP@
274 JOGL = @JOGL@
275 JROSETTA_API = @JROSETTA_API@
276 JROSETTA_ENGINE = @JROSETTA_ENGINE@
277 JUNIT = @JUNIT@
278 LAPACK_LIBS = @LAPACK_LIBS@
279 LCOV = @LCOV@
280 LD = @LD@
281 LDFLAGS = @LDFLAGS@
282 LIBICONV = @LIBICONV@
283 LIBINTL = @LIBINTL@
284 LIBM = @LIBM@
285 LIBOBJS = @LIBOBJS@
286 LIBS = @LIBS@
287 LIBTOOL = @LIBTOOL@
288 LIPO = @LIPO@
289 LN_S = @LN_S@
290 LOGGING_LEVEL = @LOGGING_LEVEL@
291 LOOKS = @LOOKS@
292 LTLIBICONV = @LTLIBICONV@
293 LTLIBINTL = @LTLIBINTL@
294 LTLIBOBJS = @LTLIBOBJS@
295 MAINT = @MAINT@
296 MAKEINFO = @MAKEINFO@
297 MATIO_CFLAGS = @MATIO_CFLAGS@
298 MATIO_ENABLE = @MATIO_ENABLE@
299 MATIO_LIBS = @MATIO_LIBS@
300 MKDIR_P = @MKDIR_P@
301 MSGCAT = @MSGCAT@
302 MSGFMT = @MSGFMT@
303 MSGFMT_015 = @MSGFMT_015@
304 MSGMERGE = @MSGMERGE@
305 NM = @NM@
306 NMEDIT = @NMEDIT@
307 OBJDUMP = @OBJDUMP@
308 OBJEXT = @OBJEXT@
309 OCAMLC = @OCAMLC@
310 OCAMLDEP = @OCAMLDEP@
311 OCAMLLEX = @OCAMLLEX@
312 OCAMLOPT = @OCAMLOPT@
313 OCAMLYACC = @OCAMLYACC@
314 OPENMP_CFLAGS = @OPENMP_CFLAGS@
315 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
316 OPENMP_ENABLE = @OPENMP_ENABLE@
317 OPENMP_LIBS = @OPENMP_LIBS@
318 OTOOL = @OTOOL@
319 OTOOL64 = @OTOOL64@
320 PACKAGE = @PACKAGE@
321 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
322 PACKAGE_NAME = @PACKAGE_NAME@
323 PACKAGE_STRING = @PACKAGE_STRING@
324 PACKAGE_TARNAME = @PACKAGE_TARNAME@
325 PACKAGE_URL = @PACKAGE_URL@
326 PACKAGE_VERSION = @PACKAGE_VERSION@
327 PATH_SEPARATOR = @PATH_SEPARATOR@
328 PCRE_CFLAGS = @PCRE_CFLAGS@
329 PCRE_CONFIG = @PCRE_CONFIG@
330 PCRE_LIBS = @PCRE_LIBS@
331 PCRE_VERSION = @PCRE_VERSION@
332 PKG_CONFIG = @PKG_CONFIG@
333 POSUB = @POSUB@
334 POW_LIB = @POW_LIB@
335 PVMGETARCH = @PVMGETARCH@
336 PVM_ARCH = @PVM_ARCH@
337 PVM_ENABLE = @PVM_ENABLE@
338 PVM_INCLUDE = @PVM_INCLUDE@
339 PVM_LIB = @PVM_LIB@
340 PYTHON = @PYTHON@
341 QDOX = @QDOX@
342 RANLIB = @RANLIB@
343 RELOCATABLE = @RELOCATABLE@
344 RT_LIB = @RT_LIB@
345 SAXON = @SAXON@
346 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
347 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
348 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
349 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
350 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
351 SED = @SED@
352 SET_MAKE = @SET_MAKE@
353 SET_RELOCATABLE = @SET_RELOCATABLE@
354 SHELL = @SHELL@
355 SKINLF = @SKINLF@
356 SPLINT = @SPLINT@
357 STRIP = @STRIP@
358 SWIG_BIN = @SWIG_BIN@
359 SWIG_JAVA = @SWIG_JAVA@
360 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
361 TCLTK_LIBS = @TCLTK_LIBS@
362 TCL_INC_PATH = @TCL_INC_PATH@
363 TESTNG = @TESTNG@
364 TK_INC_PATH = @TK_INC_PATH@
365 UMFPACK_ENABLE = @UMFPACK_ENABLE@
366 UMFPACK_LIB = @UMFPACK_LIB@
367 USE_NLS = @USE_NLS@
368 VERSION = @VERSION@
369 WITH_OCAML = @WITH_OCAML@
370 WITH_TKSCI = @WITH_TKSCI@
371 XCOS_ENABLE = @XCOS_ENABLE@
372 XGETTEXT = @XGETTEXT@
373 XGETTEXT_015 = @XGETTEXT_015@
374 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
375 XMKMF = @XMKMF@
376 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
377 XML_APIS_EXT = @XML_APIS_EXT@
378 XML_CONFIG = @XML_CONFIG@
379 XML_FLAGS = @XML_FLAGS@
380 XML_LIBS = @XML_LIBS@
381 XML_VERSION = @XML_VERSION@
382 X_CFLAGS = @X_CFLAGS@
383 X_EXTRA_LIBS = @X_EXTRA_LIBS@
384 X_LIBS = @X_LIBS@
385 X_PRE_LIBS = @X_PRE_LIBS@
386 abs_builddir = @abs_builddir@
387 abs_srcdir = @abs_srcdir@
388 abs_top_builddir = @abs_top_builddir@
389 abs_top_srcdir = @abs_top_srcdir@
390 ac_ct_CC = @ac_ct_CC@
391 ac_ct_CXX = @ac_ct_CXX@
392 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
393 ac_ct_F77 = @ac_ct_F77@
394 am__include = @am__include@
395 am__leading_dot = @am__leading_dot@
396 am__quote = @am__quote@
397 am__tar = @am__tar@
398 am__untar = @am__untar@
399 bindir = @bindir@
400 build = @build@
401 build_alias = @build_alias@
402 build_cpu = @build_cpu@
403 build_os = @build_os@
404 build_vendor = @build_vendor@
405 builddir = @builddir@
406 cxx_present = @cxx_present@
407 datadir = @datadir@
408 datarootdir = @datarootdir@
409 docdir = @docdir@
410 dvidir = @dvidir@
411 exec_prefix = @exec_prefix@
412 host = @host@
413 host_alias = @host_alias@
414 host_cpu = @host_cpu@
415 host_os = @host_os@
416 host_vendor = @host_vendor@
417 htmldir = @htmldir@
418 includedir = @includedir@
419 infodir = @infodir@
420 install_sh = @install_sh@
421 libdir = @libdir@
422 libexecdir = @libexecdir@
423 localedir = @localedir@
424 localstatedir = @localstatedir@
425 mandir = @mandir@
426 mkdir_p = @mkdir_p@
427 oldincludedir = @oldincludedir@
428 pdfdir = @pdfdir@
429 prefix = @prefix@
430 program_transform_name = @program_transform_name@
431 psdir = @psdir@
432 sbindir = @sbindir@
433 sharedstatedir = @sharedstatedir@
434 srcdir = @srcdir@
435 sysconfdir = @sysconfdir@
436 target_alias = @target_alias@
437 top_build_prefix = @top_build_prefix@
438 top_builddir = @top_builddir@
439 top_srcdir = @top_srcdir@
440
441 #### Target ######
442 modulename = ui_data
443
444 #### ui_data : Conf files ####
445 libsciui_data_la_rootdir = $(mydatadir)
446 libsciui_data_la_root_DATA = license.txt 
447
448 #### ui_data : init scripts ####
449 libsciui_data_la_etcdir = $(mydatadir)/etc
450 libsciui_data_la_etc_DATA = etc/ui_data.quit \
451                                 etc/ui_data.start \
452                                 etc/variablebrowser_menubar.xml \
453                                 etc/variableeditor_menubar.xml
454
455
456 # Where all the Scilab stuff is installed (macros, help, ...)
457 mydatadir = $(pkgdatadir)/modules/$(modulename)
458
459 # splint options
460 SPLINT_OPTIONS = -weak -booltype BOOL
461
462 ########################### JAVA ######################################
463 #### We are delegating java compilation to ant... Thanks to that
464 #### the procedure will be the same with Microsoft Windows (C)
465 #### and Linux/Unix
466 #######################################################################
467 TARGETS_ALL = $(am__append_1)
468
469 ################ MACROS ######################
470 # Rule to build a macro
471 # NOT USED  AT THE MOMENT
472 SUFFIXES = .sci 
473
474 ########### INSTALL DOCUMENTATION ###################
475
476 # Install documentation files into the right target
477 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
478 # automake needs the html files to be present which is not the case when
479 # we are building Scilab
480
481 # Where it should be installed
482 pkgdocdir = $(mydatadir)
483
484 # What is the mask of the help source
485 DOCMASKXML = *.xml
486
487 # What is the mask of the MathML sources
488 DOCMASKMML = *.mml
489
490 ########### INSTALL DATA ###################
491 # Install macros, help & demos
492 # Where it should be installed
493 pkgmacrosdir = $(mydatadir)
494 # Which directory we process
495 MACRODIRS = macros/
496 # Mask of the Scilab sources macros
497 MACROMASK = *.sci
498 # Mask of the Scilab executable sources macros
499 MACROBUILDMASK = *.sce
500 # Mask of the Scilab compiled macros
501 MACROBINMASK = *.bin
502 # List of the standard directory for tests
503 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
504 # Where the demos should be installed
505 pkgdemosdir = $(mydatadir)
506 # List of the standard directory for demos
507 DEMOS_DIR = demos
508 # List of the standard directory for examples
509 EXAMPLES_DIR = examples
510 # Where to export JAVA archives (.jar)
511 JARDIR = jar/
512 # JAR files mask
513 JARMASK = *.jar
514 # Chapter file 
515 HELP_CHAPTERDIR = help/
516 HELP_CHAPTERFILE = addchapter.sce
517 HELP_CHAPTERLANG = en_US fr_FR pt_BR
518 UI_DATA_JNI_SOURCES = src/jni/BrowseVar.cpp \
519                       src/jni/EditVar.cpp \
520                       src/jni/FileBrowser.cpp
521
522 UI_DATA_C_SOURCES = 
523 UI_DATA_CPP_SOURCES = src/cpp/UpdateBrowseVar.cpp \
524                       src/cpp/FileBrowserChDir.cpp
525
526 GIWS_WRAPPERS = \
527 src/jni/BrowseVar.giws.xml \
528 src/jni/EditVar.giws.xml \
529 src/jni/FileBrowser.giws.xml
530
531 @GIWS_TRUE@BUILT_SOURCES = giws
532 GATEWAY_C_SOURCES = sci_gateway/c/gw_ui_data.c
533 GATEWAY_CPP_SOURCES = sci_gateway/cpp/sci_editvar.cpp \
534                       sci_gateway/cpp/sci_browsevar.cpp \
535                       sci_gateway/cpp/sci_filebrowser.cpp
536
537 libsciui_data_la_CFLAGS = $(JAVA_JNI_INCLUDE) \
538                         -I$(top_srcdir)/libs/MALLOC/includes/ \
539                         -I$(top_srcdir)/modules/jvm/includes/ \
540                         -I$(top_srcdir)/modules/output_stream/includes \
541                         -I$(top_srcdir)/modules/localization/includes \
542                         -I$(top_srcdir)/modules/api_scilab/includes \
543                         -I$(top_srcdir)/modules/core/includes
544
545 libsciui_data_la_CPPFLAGS = $(JAVA_JNI_INCLUDE) \
546                         -I$(srcdir)/includes/ \
547                         -I$(srcdir)/src/cpp/ \
548                         -I$(srcdir)/src/c/ \
549                         -I$(srcdir)/src/jni/ \
550                         -I$(top_srcdir)/modules/jvm/includes/ \
551                         -I$(top_srcdir)/modules/output_stream/includes \
552                         -I$(top_srcdir)/modules/localization/includes \
553                         -I$(top_srcdir)/modules/api_scilab/includes \
554                         -I$(top_srcdir)/modules/fileio/includes
555
556
557 # Without the ui_data module 
558 libsciui_data_disable_la_CFLAGS = -Iincludes/ \
559                         -I$(top_srcdir)/modules/output_stream/includes
560
561 UI_DATA_DISABLE_C_SOURCES = src/noui_data/noui_data.c
562 libsciui_data_disable_la_LDFLAGS = -version-number $(SCILAB_LIBRARY_VERSION) $(LD_FLAGS)
563 libsciui_data_disable_la_SOURCES = $(UI_DATA_DISABLE_C_SOURCES)
564 pkglib_LTLIBRARIES = libsciui_data-disable.la $(am__append_2)
565 @GUI_TRUE@noinst_LTLIBRARIES = libsciui_data-algo.la 
566 libsciui_data_la_LDFLAGS = -version-number $(SCILAB_LIBRARY_VERSION) $(LD_FLAGS)  $(X_LIBS) $(X_EXTRA_LIBS)
567 libsciui_data_algo_la_SOURCES = $(UI_DATA_C_SOURCES) $(UI_DATA_JNI_SOURCES) $(UI_DATA_CPP_SOURCES)
568 libsciui_data_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_CPP_SOURCES)
569 libsciui_data_algo_la_CFLAGS = $(libsciui_data_la_CFLAGS)
570 libsciui_data_algo_la_CPPFLAGS = $(libsciui_data_la_CPPFLAGS)
571
572 # For the code check (splint)
573 CHECK_SRC = $(UI_DATA_C_SOURCES) $(GATEWAY_C_SOURCES)
574 INCLUDE_FLAGS = $(libsciui_data_la_CFLAGS)
575 libsciui_data_la_LIBADD = \
576 libsciui_data-algo.la \
577 $(top_builddir)/libs/MALLOC/libscimalloc.la \
578 $(top_builddir)/modules/jvm/libscijvm.la \
579 $(top_builddir)/modules/output_stream/libscioutput_stream.la
580
581
582 #### ui_data : gateway declaration ####
583 libsciui_data_la_sci_gatewaydir = $(mydatadir)/sci_gateway
584 libsciui_data_la_sci_gateway_DATA = sci_gateway/ui_data_gateway.xml
585
586 #### ui_data : icons files ####
587 libsciui_data_la_iconsdir = $(mydatadir)/
588 nobase_libsciui_data_la_icons_DATA = images/icons/cell.png \
589 images/icons/double.png \
590 images/icons/sparse.png \
591 images/icons/boolean.png \
592 images/icons/object.png \
593 images/icons/string.png \
594 images/icons/list.png \
595 images/icons/noicon.png \
596 images/icons/array_up.png \
597 images/icons/fptr.png \
598 images/icons/function.png \
599 images/icons/handle.png \
600 images/icons/int.png \
601 images/icons/uint.png \
602 images/icons/mlist.png \
603 images/icons/polynomial.png \
604 images/icons/user.png \
605 images/icons/tlist.png
606
607 @GUI_TRUE@USEANT = 1
608 all: $(BUILT_SOURCES)
609         $(MAKE) $(AM_MAKEFLAGS) all-am
610
611 .SUFFIXES:
612 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
613 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
614         @for dep in $?; do \
615           case '$(am__configure_deps)' in \
616             *$$dep*) \
617               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
618                 && { if test -f $@; then exit 0; else break; fi; }; \
619               exit 1;; \
620           esac; \
621         done; \
622         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/ui_data/Makefile'; \
623         $(am__cd) $(top_srcdir) && \
624           $(AUTOMAKE) --foreign modules/ui_data/Makefile
625 .PRECIOUS: Makefile
626 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
627         @case '$?' in \
628           *config.status*) \
629             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
630           *) \
631             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
632             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
633         esac;
634
635 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
636         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
637
638 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
639         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
640 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
641         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
642 $(am__aclocal_m4_deps):
643
644 clean-noinstLTLIBRARIES:
645         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
646         @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
647           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
648           test "$$dir" != "$$p" || dir=.; \
649           echo "rm -f \"$${dir}/so_locations\""; \
650           rm -f "$${dir}/so_locations"; \
651         done
652 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
653         @$(NORMAL_INSTALL)
654         test -z "$(pkglibdir)" || $(MKDIR_P) "$(DESTDIR)$(pkglibdir)"
655         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
656         list2=; for p in $$list; do \
657           if test -f $$p; then \
658             list2="$$list2 $$p"; \
659           else :; fi; \
660         done; \
661         test -z "$$list2" || { \
662           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
663           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
664         }
665
666 uninstall-pkglibLTLIBRARIES:
667         @$(NORMAL_UNINSTALL)
668         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
669         for p in $$list; do \
670           $(am__strip_dir) \
671           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
672           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
673         done
674
675 clean-pkglibLTLIBRARIES:
676         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
677         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
678           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
679           test "$$dir" != "$$p" || dir=.; \
680           echo "rm -f \"$${dir}/so_locations\""; \
681           rm -f "$${dir}/so_locations"; \
682         done
683 libsciui_data-algo.la: $(libsciui_data_algo_la_OBJECTS) $(libsciui_data_algo_la_DEPENDENCIES) 
684         $(CXXLINK) $(am_libsciui_data_algo_la_rpath) $(libsciui_data_algo_la_OBJECTS) $(libsciui_data_algo_la_LIBADD) $(LIBS)
685 libsciui_data-disable.la: $(libsciui_data_disable_la_OBJECTS) $(libsciui_data_disable_la_DEPENDENCIES) 
686         $(libsciui_data_disable_la_LINK) -rpath $(pkglibdir) $(libsciui_data_disable_la_OBJECTS) $(libsciui_data_disable_la_LIBADD) $(LIBS)
687 libsciui_data.la: $(libsciui_data_la_OBJECTS) $(libsciui_data_la_DEPENDENCIES) 
688         $(libsciui_data_la_LINK) $(am_libsciui_data_la_rpath) $(libsciui_data_la_OBJECTS) $(libsciui_data_la_LIBADD) $(LIBS)
689
690 mostlyclean-compile:
691         -rm -f *.$(OBJEXT)
692
693 distclean-compile:
694         -rm -f *.tab.c
695
696 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Plo@am__quote@
697 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-EditVar.Plo@am__quote@
698 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Plo@am__quote@
699 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Plo@am__quote@
700 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-UpdateBrowseVar.Plo@am__quote@
701 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_disable_la-noui_data.Plo@am__quote@
702 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-gw_ui_data.Plo@am__quote@
703 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-sci_browsevar.Plo@am__quote@
704 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-sci_editvar.Plo@am__quote@
705 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-sci_filebrowser.Plo@am__quote@
706
707 .c.o:
708 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
709 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
710 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
711 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
712 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
713
714 .c.obj:
715 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
716 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
717 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
718 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
719 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
720
721 .c.lo:
722 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
723 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
724 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
725 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
726 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
727
728 libsciui_data_disable_la-noui_data.lo: src/noui_data/noui_data.c
729 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciui_data_disable_la_CFLAGS) $(CFLAGS) -MT libsciui_data_disable_la-noui_data.lo -MD -MP -MF $(DEPDIR)/libsciui_data_disable_la-noui_data.Tpo -c -o libsciui_data_disable_la-noui_data.lo `test -f 'src/noui_data/noui_data.c' || echo '$(srcdir)/'`src/noui_data/noui_data.c
730 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciui_data_disable_la-noui_data.Tpo $(DEPDIR)/libsciui_data_disable_la-noui_data.Plo
731 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/noui_data/noui_data.c' object='libsciui_data_disable_la-noui_data.lo' libtool=yes @AMDEPBACKSLASH@
732 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
733 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciui_data_disable_la_CFLAGS) $(CFLAGS) -c -o libsciui_data_disable_la-noui_data.lo `test -f 'src/noui_data/noui_data.c' || echo '$(srcdir)/'`src/noui_data/noui_data.c
734
735 libsciui_data_la-gw_ui_data.lo: sci_gateway/c/gw_ui_data.c
736 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(libsciui_data_la_CFLAGS) $(CFLAGS) -MT libsciui_data_la-gw_ui_data.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-gw_ui_data.Tpo -c -o libsciui_data_la-gw_ui_data.lo `test -f 'sci_gateway/c/gw_ui_data.c' || echo '$(srcdir)/'`sci_gateway/c/gw_ui_data.c
737 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciui_data_la-gw_ui_data.Tpo $(DEPDIR)/libsciui_data_la-gw_ui_data.Plo
738 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_ui_data.c' object='libsciui_data_la-gw_ui_data.lo' libtool=yes @AMDEPBACKSLASH@
739 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
740 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(libsciui_data_la_CFLAGS) $(CFLAGS) -c -o libsciui_data_la-gw_ui_data.lo `test -f 'sci_gateway/c/gw_ui_data.c' || echo '$(srcdir)/'`sci_gateway/c/gw_ui_data.c
741
742 .cpp.o:
743 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
744 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
745 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
746 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
747 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ $<
748
749 .cpp.obj:
750 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
751 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
752 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
753 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
754 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
755
756 .cpp.lo:
757 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
758 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
759 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
760 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
761 @am__fastdepCXX_FALSE@  $(LTCXXCOMPILE) -c -o $@ $<
762
763 libsciui_data_algo_la-BrowseVar.lo: src/jni/BrowseVar.cpp
764 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-BrowseVar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-BrowseVar.Tpo -c -o libsciui_data_algo_la-BrowseVar.lo `test -f 'src/jni/BrowseVar.cpp' || echo '$(srcdir)/'`src/jni/BrowseVar.cpp
765 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciui_data_algo_la-BrowseVar.Tpo $(DEPDIR)/libsciui_data_algo_la-BrowseVar.Plo
766 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/jni/BrowseVar.cpp' object='libsciui_data_algo_la-BrowseVar.lo' libtool=yes @AMDEPBACKSLASH@
767 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
768 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-BrowseVar.lo `test -f 'src/jni/BrowseVar.cpp' || echo '$(srcdir)/'`src/jni/BrowseVar.cpp
769
770 libsciui_data_algo_la-EditVar.lo: src/jni/EditVar.cpp
771 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-EditVar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-EditVar.Tpo -c -o libsciui_data_algo_la-EditVar.lo `test -f 'src/jni/EditVar.cpp' || echo '$(srcdir)/'`src/jni/EditVar.cpp
772 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciui_data_algo_la-EditVar.Tpo $(DEPDIR)/libsciui_data_algo_la-EditVar.Plo
773 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/jni/EditVar.cpp' object='libsciui_data_algo_la-EditVar.lo' libtool=yes @AMDEPBACKSLASH@
774 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
775 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-EditVar.lo `test -f 'src/jni/EditVar.cpp' || echo '$(srcdir)/'`src/jni/EditVar.cpp
776
777 libsciui_data_algo_la-FileBrowser.lo: src/jni/FileBrowser.cpp
778 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-FileBrowser.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-FileBrowser.Tpo -c -o libsciui_data_algo_la-FileBrowser.lo `test -f 'src/jni/FileBrowser.cpp' || echo '$(srcdir)/'`src/jni/FileBrowser.cpp
779 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciui_data_algo_la-FileBrowser.Tpo $(DEPDIR)/libsciui_data_algo_la-FileBrowser.Plo
780 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/jni/FileBrowser.cpp' object='libsciui_data_algo_la-FileBrowser.lo' libtool=yes @AMDEPBACKSLASH@
781 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
782 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-FileBrowser.lo `test -f 'src/jni/FileBrowser.cpp' || echo '$(srcdir)/'`src/jni/FileBrowser.cpp
783
784 libsciui_data_algo_la-UpdateBrowseVar.lo: src/cpp/UpdateBrowseVar.cpp
785 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-UpdateBrowseVar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-UpdateBrowseVar.Tpo -c -o libsciui_data_algo_la-UpdateBrowseVar.lo `test -f 'src/cpp/UpdateBrowseVar.cpp' || echo '$(srcdir)/'`src/cpp/UpdateBrowseVar.cpp
786 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciui_data_algo_la-UpdateBrowseVar.Tpo $(DEPDIR)/libsciui_data_algo_la-UpdateBrowseVar.Plo
787 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/UpdateBrowseVar.cpp' object='libsciui_data_algo_la-UpdateBrowseVar.lo' libtool=yes @AMDEPBACKSLASH@
788 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
789 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-UpdateBrowseVar.lo `test -f 'src/cpp/UpdateBrowseVar.cpp' || echo '$(srcdir)/'`src/cpp/UpdateBrowseVar.cpp
790
791 libsciui_data_algo_la-FileBrowserChDir.lo: src/cpp/FileBrowserChDir.cpp
792 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-FileBrowserChDir.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Tpo -c -o libsciui_data_algo_la-FileBrowserChDir.lo `test -f 'src/cpp/FileBrowserChDir.cpp' || echo '$(srcdir)/'`src/cpp/FileBrowserChDir.cpp
793 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Tpo $(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Plo
794 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/FileBrowserChDir.cpp' object='libsciui_data_algo_la-FileBrowserChDir.lo' libtool=yes @AMDEPBACKSLASH@
795 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
796 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-FileBrowserChDir.lo `test -f 'src/cpp/FileBrowserChDir.cpp' || echo '$(srcdir)/'`src/cpp/FileBrowserChDir.cpp
797
798 libsciui_data_la-sci_editvar.lo: sci_gateway/cpp/sci_editvar.cpp
799 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_la-sci_editvar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-sci_editvar.Tpo -c -o libsciui_data_la-sci_editvar.lo `test -f 'sci_gateway/cpp/sci_editvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_editvar.cpp
800 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciui_data_la-sci_editvar.Tpo $(DEPDIR)/libsciui_data_la-sci_editvar.Plo
801 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_editvar.cpp' object='libsciui_data_la-sci_editvar.lo' libtool=yes @AMDEPBACKSLASH@
802 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
803 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_la-sci_editvar.lo `test -f 'sci_gateway/cpp/sci_editvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_editvar.cpp
804
805 libsciui_data_la-sci_browsevar.lo: sci_gateway/cpp/sci_browsevar.cpp
806 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_la-sci_browsevar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-sci_browsevar.Tpo -c -o libsciui_data_la-sci_browsevar.lo `test -f 'sci_gateway/cpp/sci_browsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_browsevar.cpp
807 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciui_data_la-sci_browsevar.Tpo $(DEPDIR)/libsciui_data_la-sci_browsevar.Plo
808 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_browsevar.cpp' object='libsciui_data_la-sci_browsevar.lo' libtool=yes @AMDEPBACKSLASH@
809 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
810 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_la-sci_browsevar.lo `test -f 'sci_gateway/cpp/sci_browsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_browsevar.cpp
811
812 libsciui_data_la-sci_filebrowser.lo: sci_gateway/cpp/sci_filebrowser.cpp
813 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_la-sci_filebrowser.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-sci_filebrowser.Tpo -c -o libsciui_data_la-sci_filebrowser.lo `test -f 'sci_gateway/cpp/sci_filebrowser.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_filebrowser.cpp
814 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciui_data_la-sci_filebrowser.Tpo $(DEPDIR)/libsciui_data_la-sci_filebrowser.Plo
815 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_filebrowser.cpp' object='libsciui_data_la-sci_filebrowser.lo' libtool=yes @AMDEPBACKSLASH@
816 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
817 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_la-sci_filebrowser.lo `test -f 'sci_gateway/cpp/sci_filebrowser.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_filebrowser.cpp
818
819 mostlyclean-libtool:
820         -rm -f *.lo
821
822 clean-libtool:
823         -rm -rf .libs _libs
824 install-libsciui_data_la_etcDATA: $(libsciui_data_la_etc_DATA)
825         @$(NORMAL_INSTALL)
826         test -z "$(libsciui_data_la_etcdir)" || $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_etcdir)"
827         @list='$(libsciui_data_la_etc_DATA)'; test -n "$(libsciui_data_la_etcdir)" || list=; \
828         for p in $$list; do \
829           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
830           echo "$$d$$p"; \
831         done | $(am__base_list) | \
832         while read files; do \
833           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_etcdir)'"; \
834           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_etcdir)" || exit $$?; \
835         done
836
837 uninstall-libsciui_data_la_etcDATA:
838         @$(NORMAL_UNINSTALL)
839         @list='$(libsciui_data_la_etc_DATA)'; test -n "$(libsciui_data_la_etcdir)" || list=; \
840         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
841         test -n "$$files" || exit 0; \
842         echo " ( cd '$(DESTDIR)$(libsciui_data_la_etcdir)' && rm -f" $$files ")"; \
843         cd "$(DESTDIR)$(libsciui_data_la_etcdir)" && rm -f $$files
844 install-libsciui_data_la_rootDATA: $(libsciui_data_la_root_DATA)
845         @$(NORMAL_INSTALL)
846         test -z "$(libsciui_data_la_rootdir)" || $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_rootdir)"
847         @list='$(libsciui_data_la_root_DATA)'; test -n "$(libsciui_data_la_rootdir)" || list=; \
848         for p in $$list; do \
849           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
850           echo "$$d$$p"; \
851         done | $(am__base_list) | \
852         while read files; do \
853           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_rootdir)'"; \
854           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_rootdir)" || exit $$?; \
855         done
856
857 uninstall-libsciui_data_la_rootDATA:
858         @$(NORMAL_UNINSTALL)
859         @list='$(libsciui_data_la_root_DATA)'; test -n "$(libsciui_data_la_rootdir)" || list=; \
860         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
861         test -n "$$files" || exit 0; \
862         echo " ( cd '$(DESTDIR)$(libsciui_data_la_rootdir)' && rm -f" $$files ")"; \
863         cd "$(DESTDIR)$(libsciui_data_la_rootdir)" && rm -f $$files
864 install-libsciui_data_la_sci_gatewayDATA: $(libsciui_data_la_sci_gateway_DATA)
865         @$(NORMAL_INSTALL)
866         test -z "$(libsciui_data_la_sci_gatewaydir)" || $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)"
867         @list='$(libsciui_data_la_sci_gateway_DATA)'; test -n "$(libsciui_data_la_sci_gatewaydir)" || list=; \
868         for p in $$list; do \
869           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
870           echo "$$d$$p"; \
871         done | $(am__base_list) | \
872         while read files; do \
873           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)'"; \
874           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" || exit $$?; \
875         done
876
877 uninstall-libsciui_data_la_sci_gatewayDATA:
878         @$(NORMAL_UNINSTALL)
879         @list='$(libsciui_data_la_sci_gateway_DATA)'; test -n "$(libsciui_data_la_sci_gatewaydir)" || list=; \
880         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
881         test -n "$$files" || exit 0; \
882         echo " ( cd '$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)' && rm -f" $$files ")"; \
883         cd "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" && rm -f $$files
884 install-nobase_libsciui_data_la_iconsDATA: $(nobase_libsciui_data_la_icons_DATA)
885         @$(NORMAL_INSTALL)
886         test -z "$(libsciui_data_la_iconsdir)" || $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_iconsdir)"
887         @list='$(nobase_libsciui_data_la_icons_DATA)'; test -n "$(libsciui_data_la_iconsdir)" || list=; \
888         $(am__nobase_list) | while read dir files; do \
889           xfiles=; for file in $$files; do \
890             if test -f "$$file"; then xfiles="$$xfiles $$file"; \
891             else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
892           test -z "$$xfiles" || { \
893             test "x$$dir" = x. || { \
894               echo "$(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir'"; \
895               $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir"; }; \
896             echo " $(INSTALL_DATA) $$xfiles '$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir'"; \
897             $(INSTALL_DATA) $$xfiles "$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir" || exit $$?; }; \
898         done
899
900 uninstall-nobase_libsciui_data_la_iconsDATA:
901         @$(NORMAL_UNINSTALL)
902         @list='$(nobase_libsciui_data_la_icons_DATA)'; test -n "$(libsciui_data_la_iconsdir)" || list=; \
903         $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
904         test -n "$$files" || exit 0; \
905         echo " ( cd '$(DESTDIR)$(libsciui_data_la_iconsdir)' && rm -f" $$files ")"; \
906         cd "$(DESTDIR)$(libsciui_data_la_iconsdir)" && rm -f $$files
907
908 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
909         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
910         unique=`for i in $$list; do \
911             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
912           done | \
913           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
914               END { if (nonempty) { for (i in files) print i; }; }'`; \
915         mkid -fID $$unique
916 tags: TAGS
917
918 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
919                 $(TAGS_FILES) $(LISP)
920         set x; \
921         here=`pwd`; \
922         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
923         unique=`for i in $$list; do \
924             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
925           done | \
926           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
927               END { if (nonempty) { for (i in files) print i; }; }'`; \
928         shift; \
929         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
930           test -n "$$unique" || unique=$$empty_fix; \
931           if test $$# -gt 0; then \
932             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
933               "$$@" $$unique; \
934           else \
935             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
936               $$unique; \
937           fi; \
938         fi
939 ctags: CTAGS
940 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
941                 $(TAGS_FILES) $(LISP)
942         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
943         unique=`for i in $$list; do \
944             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
945           done | \
946           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
947               END { if (nonempty) { for (i in files) print i; }; }'`; \
948         test -z "$(CTAGS_ARGS)$$unique" \
949           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
950              $$unique
951
952 GTAGS:
953         here=`$(am__cd) $(top_builddir) && pwd` \
954           && $(am__cd) $(top_srcdir) \
955           && gtags -i $(GTAGS_ARGS) "$$here"
956
957 distclean-tags:
958         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
959
960 distdir: $(DISTFILES)
961         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
962         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
963         list='$(DISTFILES)'; \
964           dist_files=`for file in $$list; do echo $$file; done | \
965           sed -e "s|^$$srcdirstrip/||;t" \
966               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
967         case $$dist_files in \
968           */*) $(MKDIR_P) `echo "$$dist_files" | \
969                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
970                            sort -u` ;; \
971         esac; \
972         for file in $$dist_files; do \
973           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
974           if test -d $$d/$$file; then \
975             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
976             if test -d "$(distdir)/$$file"; then \
977               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
978             fi; \
979             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
980               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
981               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
982             fi; \
983             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
984           else \
985             test -f "$(distdir)/$$file" \
986             || cp -p $$d/$$file "$(distdir)/$$file" \
987             || exit 1; \
988           fi; \
989         done
990 check-am: all-am
991         $(MAKE) $(AM_MAKEFLAGS) check-local
992 check: $(BUILT_SOURCES)
993         $(MAKE) $(AM_MAKEFLAGS) check-am
994 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
995 installdirs:
996         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciui_data_la_etcdir)" "$(DESTDIR)$(libsciui_data_la_rootdir)" "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" "$(DESTDIR)$(libsciui_data_la_iconsdir)"; do \
997           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
998         done
999 install: $(BUILT_SOURCES)
1000         $(MAKE) $(AM_MAKEFLAGS) install-am
1001 install-exec: install-exec-am
1002 install-data: install-data-am
1003 uninstall: uninstall-am
1004
1005 install-am: all-am
1006         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1007
1008 installcheck: installcheck-am
1009 install-strip:
1010         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1011           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1012           `test -z '$(STRIP)' || \
1013             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
1014 mostlyclean-generic:
1015
1016 clean-generic:
1017
1018 distclean-generic:
1019         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1020         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1021
1022 maintainer-clean-generic:
1023         @echo "This command is intended for maintainers to use"
1024         @echo "it deletes files that may require special tools to rebuild."
1025         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1026 clean: clean-am
1027
1028 clean-am: clean-generic clean-libtool clean-local \
1029         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1030
1031 distclean: distclean-am
1032         -rm -rf ./$(DEPDIR)
1033         -rm -f Makefile
1034 distclean-am: clean-am distclean-compile distclean-generic \
1035         distclean-local distclean-tags
1036
1037 dvi: dvi-am
1038
1039 dvi-am:
1040
1041 html: html-am
1042
1043 html-am:
1044
1045 info: info-am
1046
1047 info-am:
1048
1049 install-data-am: install-data-local install-libsciui_data_la_etcDATA \
1050         install-libsciui_data_la_rootDATA \
1051         install-libsciui_data_la_sci_gatewayDATA \
1052         install-nobase_libsciui_data_la_iconsDATA
1053
1054 install-dvi: install-dvi-am
1055
1056 install-dvi-am:
1057
1058 install-exec-am: install-pkglibLTLIBRARIES
1059
1060 install-html: install-html-am
1061
1062 install-html-am: install-html-local
1063
1064 install-info: install-info-am
1065
1066 install-info-am:
1067
1068 install-man:
1069
1070 install-pdf: install-pdf-am
1071
1072 install-pdf-am:
1073
1074 install-ps: install-ps-am
1075
1076 install-ps-am:
1077
1078 installcheck-am:
1079
1080 maintainer-clean: maintainer-clean-am
1081         -rm -rf ./$(DEPDIR)
1082         -rm -f Makefile
1083 maintainer-clean-am: distclean-am maintainer-clean-generic
1084
1085 mostlyclean: mostlyclean-am
1086
1087 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1088         mostlyclean-libtool
1089
1090 pdf: pdf-am
1091
1092 pdf-am:
1093
1094 ps: ps-am
1095
1096 ps-am:
1097
1098 uninstall-am: uninstall-libsciui_data_la_etcDATA \
1099         uninstall-libsciui_data_la_rootDATA \
1100         uninstall-libsciui_data_la_sci_gatewayDATA \
1101         uninstall-nobase_libsciui_data_la_iconsDATA \
1102         uninstall-pkglibLTLIBRARIES
1103
1104 .MAKE: all check check-am install install-am install-strip
1105
1106 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1107         clean clean-generic clean-libtool clean-local \
1108         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES ctags \
1109         distclean distclean-compile distclean-generic \
1110         distclean-libtool distclean-local distclean-tags distdir dvi \
1111         dvi-am html html-am info info-am install install-am \
1112         install-data install-data-am install-data-local install-dvi \
1113         install-dvi-am install-exec install-exec-am install-html \
1114         install-html-am install-html-local install-info \
1115         install-info-am install-libsciui_data_la_etcDATA \
1116         install-libsciui_data_la_rootDATA \
1117         install-libsciui_data_la_sci_gatewayDATA install-man \
1118         install-nobase_libsciui_data_la_iconsDATA install-pdf \
1119         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1120         install-ps-am install-strip installcheck installcheck-am \
1121         installdirs maintainer-clean maintainer-clean-generic \
1122         mostlyclean mostlyclean-compile mostlyclean-generic \
1123         mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
1124         uninstall-am uninstall-libsciui_data_la_etcDATA \
1125         uninstall-libsciui_data_la_rootDATA \
1126         uninstall-libsciui_data_la_sci_gatewayDATA \
1127         uninstall-nobase_libsciui_data_la_iconsDATA \
1128         uninstall-pkglibLTLIBRARIES
1129
1130
1131 # This target enables tests for Scilab
1132 check-local: $(top_builddir)/scilab-bin test
1133         @COMMAND="test_run('$(modulename)');quit";\
1134         export LANG=C;\
1135         $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"
1136 check-code:
1137         if test -f build.xml; then \
1138                 $(ANT) checkstyle; \
1139         fi
1140         if test -x "$(SPLINT)"; then \
1141                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1142         fi
1143 @NEED_JAVA_TRUE@java:
1144 # Some configurations needs to export JAVA_HOME in the current env
1145 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1146 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1147 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1148 @NEED_JAVA_TRUE@                $(ANT); \
1149 @NEED_JAVA_TRUE@        fi
1150
1151 @NEED_JAVA_TRUE@clean-java:
1152 # Some configurations needs to export JAVA_HOME in the current env
1153 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1154 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1155 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1156 @NEED_JAVA_TRUE@                $(ANT) clean; \
1157 @NEED_JAVA_TRUE@        fi;
1158
1159 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1160 # We call the target swig-build on the variable SWIG_WRAPPERS
1161
1162 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1163 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1164 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1165 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1166 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1167 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1168 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1169 @SWIG_TRUE@             done; \
1170 @SWIG_TRUE@     fi
1171
1172 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1173 # We call the target swig-build on the variable SWIG_WRAPPERS
1174
1175 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1176 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1177 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1178 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1179 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1180 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1181 @GIWS_TRUE@             done; \
1182 @GIWS_TRUE@     fi
1183
1184 macros:
1185         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1186                 echo "Error : Cannot build $< : Scilab has not been built"; \
1187         else \
1188                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1189         fi)
1190
1191 # Removes the macros
1192 clean-macros:
1193 # Removes macros (*.bin generated from .sci)
1194         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1195                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1196                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1197         done
1198
1199 test:
1200 # More tests could be added here
1201         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1202         if test -f build.xml -a $$USEANT -eq 1; then \
1203                 $(ANT) test; \
1204         fi
1205
1206 all-local: $(TARGETS_ALL)
1207
1208 .sci.bin:
1209         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1210         echo "Error : Cannot build $< : Scilab has not been build"; \
1211         else \
1212         echo "Creating $@"; \
1213         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1214         fi )
1215
1216 install-html-local:
1217
1218 install-data-local-local:
1219 # Mainly for javasci
1220         @if test -d $(srcdir)/javadoc; then \
1221                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1222         fi
1223 # If the user wants the help sources to be installed
1224 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1225 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1226 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1227 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1228 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1229 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1230 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1231 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1232 @INSTALL_HELP_XML_TRUE@           done ; \
1233 @INSTALL_HELP_XML_TRUE@         fi; \
1234 @INSTALL_HELP_XML_TRUE@  fi; \
1235 @INSTALL_HELP_XML_TRUE@ done; \
1236 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1237 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1238 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1239 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1240 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1241 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1242 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1243 @INSTALL_HELP_XML_TRUE@           done ; \
1244 @INSTALL_HELP_XML_TRUE@         fi; \
1245 @INSTALL_HELP_XML_TRUE@ fi
1246 install-data-local:
1247 # Install the tests
1248         @echo "-------- Install tests (if any) --------"; \
1249         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1250           if test -d $(srcdir)/$$dir/; then \
1251             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1252                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1253                     if test -d "$(srcdir)/$$dir/$$file"; then \
1254                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1255                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1256                     else \
1257                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1258                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1259                     fi \
1260                   done; \
1261           fi; \
1262         done
1263 # Install the help chapter
1264         @echo "-------- Install the help chapter (if any) --------"; \
1265         for lang in $(HELP_CHAPTERLANG); do \
1266                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1267                 if test -f $$HELPFILE; then \
1268                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1269                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1270                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1271                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1272                 fi; \
1273         done
1274 # Install the demos & examples
1275         @echo "-------- Install demos & examples (if any) --------"; \
1276         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1277           if test -d $(srcdir)/$$dir/; then \
1278             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1279                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1280                     if test -d "$(srcdir)/$$dir/$$file"; then \
1281                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1282                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1283                     else \
1284                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1285                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1286                     fi \
1287                   done; \
1288           fi; \
1289         done
1290 # Install the macros
1291         @echo "-------- Install macros (if any) --------"; \
1292         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1293           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1294                 if test -d $(srcdir)/$$dir/; then \
1295                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1296                         if test -n "$(MACROSSPECIALEXT)"; then \
1297                                 specialExtDir=""; \
1298                                 for specialExt in $(MACROSSPECIALEXT); do \
1299                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1300                                 done; \
1301                                 FILELIST="$$FILELIST $$specialExtDir"; \
1302                         fi; \
1303                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1304                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1305                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1306                   done; \
1307                 fi; \
1308         done
1309 # Install java files (.jar)
1310         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1311         echo "-------- Install jar files --------"; \
1312     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1313           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1314                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1315                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1316           done ; \
1317         fi
1318
1319 ########### CLEAN ###################
1320 # Clean help (generated automatically by Scilab)
1321 # It used to clean the macro (clean-macros) but this was causing
1322 # make clean && make to fail Scilab startup
1323 @NEED_JAVA_TRUE@clean-local: clean-java
1324 @NEED_JAVA_FALSE@clean-local:
1325
1326 distclean-local:
1327         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1328
1329 .PHONY: macros java swig giws
1330
1331 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1332 # Otherwise a system limit (for SysV at least) may be exceeded.
1333 .NOEXPORT: